Get Buffer Settings
get
/applications/{applicationName}/databases/{databaseName}/settings/buffers
Returns buffer settings of the specified database.
Request
Path Parameters
-
applicationName(required):
Application name.
-
databaseName(required):
Database name.
Response
200 Response
OK
Buffer settings retrieved successfully.
400 Response
Bad Request
Failed to get the buffer settings. The application or database name may be incorrect.
500 Response
Internal Server Error.
Examples
The following example shows how to get buffer settings for a cube.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/databases/Basic/settings/buffers" -H "accept: application/json" -u %User%:%Password%Example of Response Body
{
"buffers": {
"dataRetrievalBufferSize": 20480,
"dataRetrievalSortBufferSize": 20480
}
}